Express Route Circuits - List Arp Table

Gets the currently advertised ARP table associated with the express route circuit in a resource group.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}/peerings/{peeringName}/arpTables/{devicePath}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
circuitName
path True

string

The name of the express route port.

devicePath
path True

string

The name of the arpTables.

peeringName
path True

string

The name of the peering.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ExpressRouteCircuitsArpTableListResult

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List ARP Table

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName/peerings/peeringName/arpTables/devicePath?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "age": 0,
      "interface": "Microsoft",
      "ipAddress": "IPAddress",
      "macAddress": "macAddress"
    }
  ]
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/locations/eastus/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2025-05-01

Definitions

Name Description
Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

ExpressRouteCircuitArpTable

The ARP table associated with the ExpressRouteCircuit.

ExpressRouteCircuitsArpTableListResult

Response for ListArpTable associated with the Express Route Circuits API.

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ExpressRouteCircuitArpTable

The ARP table associated with the ExpressRouteCircuit.

Name Type Description
age

integer (int32)

Entry age in minutes.

interface

string

Interface address.

ipAddress

string

The IP address.

macAddress

string

The MAC address.

ExpressRouteCircuitsArpTableListResult

Response for ListArpTable associated with the Express Route Circuits API.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ExpressRouteCircuitArpTable[]

The ExpressRouteCircuitArpTable items on this page